Subject: Re: Version numbering (was Re: pre-0.96)

From: "Jim Winstead Jr." <[email-masked]>
Date: Sun, 26 Apr 92 16:03:11 PDT

In comp.os.linux you write:
>>have letter prefixes (0.96a, 0.96b), and the root image will be
>                      ^^^^^^^^^^^^^^
>funny ... I could have *sworn* those were *suffixes*  :-)

Oops.  That must be why I'm not an English major.

>>updated with a minor number (0.96.1, 0.96.2, etc).  This will let
>>Linus and I keep slightly different schedules, and hopefully eliminate
>>some confusion.  (Where's the 0.95c++ root image?)
>
>Eliminate confusion... ?   OHHHHHH shit.   Let me see, I've got my 
>0.96f kernel, (let's say) and I therefore need a root disk... hmm!
>neato, the root disk that matches is 0.95a   ... sure ...  Oh well.
>As long as everybody -knows- what goes with what...

I think you missed my point.  As of 0.96, there will be two images -
boot-0.96 and root-0.96.  After this, the two images will proceed like
this:

	for the boot disk, or kernel, which Linus deals with, it will
	be numbered as 0.96a, 0.96b, 0.96c, 0.96d, etc, hopefully
	avoiding all the silly stuff with +'s.

	for the root disk, which I deal with, it will be identified
	as 0.96.1, 0.96.2, 0.96.3, etc.

	Now, here's the real beauty of it:  If there is a change in
the kernel that _requires_ changes to the root disk (or, less likely,
the other way around), or if Linus and I (and others) decide enough
progress has been made, the 'major' version number will be incremented
to 0.97, or whatever.

The main point is:  All root and boot images with 0.96 roots should be
compatible.  This also allows Linus and I to keep completely different
schedules between major releases, which until now has really been
impossible.

This has been cc'ed to Linus, the Linux-Standards list, and a couple
of FTP site managers for their comment.